ompi/mca/ptl/base/ptl_base_match.h File Reference.TH "ompi/mca/ptl/base/ptl_base_match.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/ptl/base/ptl_base_match.h \- 
.SH SYNOPSIS
.br
.PP
.SS "Functions"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC bool \fBmca_ptl_base_match\fP (\fBmca_ptl_base_match_header_t\fP *frag_header, struct \fBmca_ptl_base_recv_frag_t\fP *frag_desc, \fBopal_list_t\fP *additional_matches, bool *additional_matched)"
.br
.RI "\fIRCS/CTS receive side matching Match incoming fragments against posted receives. \fP"
.ti -1c
.RI "OMPI_DECLSPEC bool \fBmca_ptl_base_match_in_order_network_delivery\fP (\fBmca_ptl_base_match_header_t\fP *frag_header, struct \fBmca_ptl_base_recv_frag_t\fP *frag_desc)"
.br
.RI "\fIRCS/CTS receive side matching. \fP"
.in -1c
.SH "Detailed Description"
.PP 

.SH "Function Documentation"
.PP 
.SS "struct OMPI_DECLSPEC bool mca_ptl_base_match (\fBmca_ptl_base_match_header_t\fP * frag_header, struct \fBmca_ptl_base_recv_frag_t\fP * frag_desc, \fBopal_list_t\fP * additional_matches, bool * additional_matched)"
.PP
RCS/CTS receive side matching Match incoming fragments against posted receives. 
.PP
Out of order delivery.
.PP
\fBParameters:\fP
.RS 4
\fIfrag_header\fP (IN) Header of received fragment. 
.br
\fIfrag_desc\fP (IN) Received fragment descriptor. 
.br
\fImatch_made\fP (OUT) Flag indicating wether a match was made. 
.br
\fIadditional_matches\fP (OUT) List of additional matches 
.RE
.PP
\fBReturns:\fP
.RS 4
OMPI_SUCCESS or error status on failure. 
.RE
.PP

.SS "OMPI_DECLSPEC bool mca_ptl_base_match_in_order_network_delivery (\fBmca_ptl_base_match_header_t\fP * frag_header, struct \fBmca_ptl_base_recv_frag_t\fP * frag_desc)"
.PP
RCS/CTS receive side matching. 
.PP
\fBParameters:\fP
.RS 4
\fIfrag_header\fP list of parameters needed for matching This list is also embeded in frag_desc, but this allows to save a memory copy when a match is made in this routine. (IN) 
.br
\fIfrag_desc\fP pointer to receive fragment which we want to match (IN/OUT). If a match is not made, frag_header is copied to frag_desc. 
.br
\fImatch_made\fP parameter indicating if we matched frag_desc/ frag_header (OUT) 
.RE
.PP
\fBReturns:\fP
.RS 4
indication if match was made or not.
.RE
.PP
This routine is used to try and match a newly arrived message fragment to pre-posted receives. The following assumptions are made
.IP "\(bu" 2
fragments are received in order, so no explicit sequence tracking is needed.
.IP "\(bu" 2
for long messages, e.g. more than one fragment, a RTS/CTS algorithm is used.
.IP "\(bu" 2
2nd and greater fragments include a receive descriptor pointer
.IP "\(bu" 2
this routine may be called simoultaneously by more than one thread
.PP
.PP
On return, if match is made: neither the fragment, nor the matched receive descriptor are on any list if match is not made: The fragment is placed on the unexpected fragment list 
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
